List Users
/unified/forms/users
Partial response — use the "get" endpoint for the full object.
Query Parameters
Refer Specifying query parameters in Truto APIs
The groups of the user
1 supported
The unique identifier for a group
The name of the group
The unique identifier of the organization to which the group belongs
The workspaces of the member
2 supported2 required
The unique identifier for a workspace
The name of the worksapce
Show Truto-specific parameters
The ID of the integrated account to use for the request.
62f44730-dd91-461e-bd6a-aedd9e0ad79dThe format of the response.
unifiedreturns the response with unified mappings applied.rawreturns the unprocessed, raw response from the remote API.normalizedapplies the unified mappings and returns the data in a normalized format.streamreturns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
Defaults to unified.
unifiedunifiedrawnormalizedstream
By default the result attribute is an array of objects. This parameter allows you to specify a field in each result objects to use as key, which transforms the result array into an object with the array items keyed by the field. This is useful for when you want to use the result as a lookup table.
idIgnores the limit query parameter.
Excludes the remote_data attribute from the response.
Array of fields to exclude from the response.
truto_exclude_fields[]=id&truto_exclude_fields[]=nameQuery parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.
remote_query[foo]=barResponse Body
The cursor to use for the next page of results. Pass this value as next_cursor in the query parameter in the next request to get the next page of results.
List of Users
The unique identifier for a member
4 supported
The date and time the member was activated
The avatar of the member
1 supported
The bio of the member
The date and time the member was created
2 supported
The emails of the member
3 supported
3 properties
The email address
Whether the email address is primary
The type of email address
The first name of the member
The groups of the user
1 supported
3 properties
The unique identifier for a group
The name of the group
The unique identifier of the organization to which the group belongs
Whether the member's email has been verified
2 supported
The languages preferred by the member
The date and time the member was last active
The date and time the member was last logged in
The last name of the member
The name of the member
3 supported
The organizations of the member
2 properties
The unique identifier for an organization
The name of the organization
The phones of the member
1 supported
3 properties
The extension of the phone number
The phone number
The type of phone number
Raw data returned from the remote API call.
The status of the member. If no clear mapping is available, then the raw value is returned.
activeinactivedeletedinvited
1 supported
The date and time the member's status was last changed
The timezone of the member
The title of the member
The type of member
2 supported
The date and time the member was last updated
1 supported
The URLs of the member
1 supported
2 properties
The type of URL
The URL
The username of the member
1 supported
The workspaces of the member
1 supported
2 properties
The unique identifier for a workspace
The name of the worksapce
curl -X GET 'https://api.truto.one/unified/forms/users?integrated_account_id=<integrated_account_id>' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json'const integratedAccountId = '<integrated_account_id>';
const response = await fetch(`https://api.truto.one/unified/forms/users?integrated_account_id=${integratedAccountId}`, {
method: 'GET',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/unified/forms/users"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
"integrated_account_id": "<integrated_account_id>"
}
response = requests.get(url, headers=headers, params=params)
print(response.json())import Truto from '@truto/truto-ts-sdk';
const truto = new Truto({
token: '<your_api_token>',
});
const result = await truto.unifiedApi.list(
'forms',
'users',
{ integrated_account_id: '<integrated_account_id>' }
);
console.log(result);import asyncio
from truto_python_sdk import TrutoApi
truto_api = TrutoApi(token="<your_api_token>")
async def main():
async for item in truto_api.unified_api.list(
"forms",
"users",
{"integrated_account_id": "<integrated_account_id>"}
):
print(item)
asyncio.run(main())